Last Comment Bug 751592 - Windows debug builders failing due to error in Root.h / Upgrade to Windows 2010
: Windows debug builders failing due to error in Root.h / Upgrade to Windows 2010
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Build Config (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Thunderbird 15.0
Assigned To: Mark Banner (:standard8)
:
Mentors:
Depends on: 753456
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-03 09:04 PDT by Mark Banner (:standard8)
Modified: 2012-05-16 05:48 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
The fix (2.56 KB, patch)
2012-05-08 06:25 PDT, Mark Banner (:standard8)
mozilla: review+
Details | Diff | Review

Description Mark Banner (:standard8) 2012-05-03 09:04:55 PDT
Changes in mozilla-central have broken the Windows debug builds with:

e:\builds\moz2_slave\tb-comm-cen-w32-dbg\build\mozilla\js\src\gc/Root.h(303) : fatal error C1075: end of file found before the left brace '{' at 'e:/builds/moz2_slave/tb-comm-cen-w32-dbg/build/mozilla/js/src/jsnum.cpp(1232)' was matched

As we're currently upgrading to the Firefox architecture, the new builders have Visual Studio 2010 installed and if we upgrade to it, then it fixes the build issue.

However, currently it also breaks mozmill tests in debug mode, I'm trying to work out what the opt ones are doing before working out where we go next.
Comment 1 David :Bienvenu 2012-05-03 09:46:03 PDT
My suspicion is that mozilla-central will continue to break vc 2005, and that we're better off moving to vc 2010 as best we can. There are disadvantages to 2010 (apparently, breakpad stack traces aren't as good), and the IDE is dog slow, but I think we're still better off being on the same compiler as Firefox.
Comment 2 Mark Banner (:standard8) 2012-05-08 06:25:36 PDT
Created attachment 621952 [details] [diff] [review]
The fix

Although the bustage is now fixed, I think we should upgrade anyway. This will match our mozconfigs against Firefox and take the necessary updates.

Try server builds available here:

https://ftp.mozilla.org/pub/mozilla.org/thunderbird/try-builds/bugzilla@standard8.plus.com-f766d16dc6d0/

(ignore the Win64 directory as that's already upgraded)
Comment 3 David :Bienvenu 2012-05-08 07:13:56 PDT
Comment on attachment 621952 [details] [diff] [review]
The fix

yeah, I agree...
Comment 4 Mark Banner (:standard8) 2012-05-08 12:09:00 PDT
Checked in: https://hg.mozilla.org/comm-central/rev/8be0dde5ccde

Note You need to log in before you can comment on or make changes to this bug.